Subject: Re: bug#71355: 30.0.50; [PATCH] Improve performance of buffered output in Eshell

From: Eli Zaretskii <[email-masked]>
Date: Wed, 05 Jun 2024 21:58:22 +0300

> Date: Wed, 5 Jun 2024 11:47:40 -0700
> Cc: [email-masked], [email-masked]
> From: Jim Porter <[email-masked]>
> 
> > But at least part of your patch calls redisplay
> > after each chunk (AFAIU), something that is not done with the current
> > code.  So I expect the effect to be a difference in behavior, whereby
> > test appears on the screen in chunks, and the user does not need to
> > wait till all of it is sent before he/she sees anything at all
> > displayed.
> 
> Correct. The redisplay logic is a new behavior, and not *directly* a 
> part of the performance improvements I made by increasing the buffer 
> size. On the contrary, I added the redisplay logic because the buffer 
> size improvements made the total execution time so much better that I 
> felt Eshell could now afford the extra cost of redisplaying periodically 
> for these commands.

So now that we agree about this aspect, I ask again: wouldn't it make
sense to show the text to the user in smaller chunks?  2K characters
is 2 dozen lines, and I expect users to be somewhat unhappy about
being presented the text in such large chunks.  That's now what they
see when invoking 'cat' from the shell prompt outside Emacs.